**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/21.1/documents/document-renditions/replace-document-rendition.md

# Replace Document Rendition



<Endpoint path="/api/{version}/objects/documents/{doc_id}/renditions/{rendition_type}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{rendition_type}` | The document rendition type. |
</FieldTable>

## File Upload {#file-upload}

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=CholeCap-Document.pdf" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/renditions/imported_rendition__c

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault replaces the rendition of the given type from the latest version of the document.



---

**Previous:** [Upload Document Version Rendition](/regulatory/vault-api/api-reference/21.1/documents/document-renditions/upload-document-version-rendition)  
**Next:** [Replace Document Version Rendition](/regulatory/vault-api/api-reference/21.1/documents/document-renditions/replace-document-version-rendition)